Bug 27982 - Replace obsolete title-string sorting: Acquisitions templates part 1
Summary: Replace obsolete title-string sorting: Acquisitions templates part 1
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934
  Show dependency treegraph
 
Reported: 2021-03-18 13:17 UTC by Owen Leonard
Modified: 2021-05-21 15:02 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27982: Replace obsolete title-string sorting: Acquisitions templates part 1 (18.98 KB, patch)
2021-03-18 16:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27982: Replace obsolete title-string sorting: Acquisitions templates part 1 (19.04 KB, patch)
2021-03-19 08:16 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27982: Replace obsolete title-string sorting: Acquisitions templates part 1 (19.10 KB, patch)
2021-03-22 11:07 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27982: (follow-up) Address missing instances (1.93 KB, patch)
2021-03-25 11:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27982: (follow-up) Address another missing instance (1.17 KB, patch)
2021-03-25 12:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27982: (follow-up) Address another missing instance (1.17 KB, patch)
2021-03-25 12:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27982: Replace obsolete title-string sorting: Acquisitions templates part 1 (19.10 KB, patch)
2021-03-26 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27982: (follow-up) Address missing instances (1.99 KB, patch)
2021-03-26 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27982: (follow-up) Address another missing instance (1.23 KB, patch)
2021-03-26 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-18 13:17:41 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/modules/acqui/addorderiso2709.tt
  intranet-tmpl/prog/en/modules/acqui/booksellers.tt
  intranet-tmpl/prog/en/modules/acqui/duplicate_orders.tt
  intranet-tmpl/prog/en/modules/acqui/edifactmsgs.tt
  intranet-tmpl/prog/en/modules/acqui/histsearch.tt
  intranet-tmpl/prog/en/modules/acqui/invoice-files.tt
  intranet-tmpl/prog/en/modules/acqui/invoice.tt
  intranet-tmpl/prog/en/modules/acqui/invoices.tt
Comment 1 Owen Leonard 2021-03-18 16:51:29 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2021-03-19 08:16:30 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2021-03-22 11:07:44 UTC
Created attachment 118580 [details] [review]
Bug 27982: Replace obsolete title-string sorting: Acquisitions templates part 1

This patch modifies several acquisitions templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Acquisitions -> Vendor search
- Acquisitions -> Vendor -> Basket -> Add to basket
   -> From a staged file
   -> From existing orders (copy)
- Acquisitions -> EDIFACT messages
- Acquisitions -> Order search
- With AcqEnableFiles enabled, attach some files to an invoice:
  - Acquisitions -> Invoices
    Acquisitions -> Invoices -> Manage invoice files

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-03-22 11:09:43 UTC
Great work, Passing QA
Comment 5 Owen Leonard 2021-03-25 11:59:34 UTC
Created attachment 118783 [details] [review]
Bug 27982: (follow-up) Address missing instances

- Acquisitions -> Invoices
  - With AcqEnableFiles enabled, attach some files to an invoice:
    - Invoice details
Comment 6 Owen Leonard 2021-03-25 12:25:04 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2021-03-25 12:27:11 UTC
Created attachment 118787 [details] [review]
Bug 27982: (follow-up) Address another missing instance

Remove "title-string" option from staged file dataTable
initialization.
Comment 8 Martin Renvoize 2021-03-26 11:45:13 UTC
Created attachment 118845 [details] [review]
Bug 27982: Replace obsolete title-string sorting: Acquisitions templates part 1

This patch modifies several acquisitions templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Acquisitions -> Vendor search
- Acquisitions -> Vendor -> Basket -> Add to basket
   -> From a staged file
   -> From existing orders (copy)
- Acquisitions -> EDIFACT messages
- Acquisitions -> Order search
- With AcqEnableFiles enabled, attach some files to an invoice:
  - Acquisitions -> Invoices
    Acquisitions -> Invoices -> Manage invoice files

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2021-03-26 11:45:17 UTC
Created attachment 118846 [details] [review]
Bug 27982: (follow-up) Address missing instances

- Acquisitions -> Invoices
  - With AcqEnableFiles enabled, attach some files to an invoice:
    - Invoice details

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2021-03-26 11:45:20 UTC
Created attachment 118847 [details] [review]
Bug 27982: (follow-up) Address another missing instance

Remove "title-string" option from staged file dataTable
initialization.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2021-03-26 11:51:57 UTC
Applied 27982 and 27983 together.  Grepped for title-string in the acqui dir and in js includes.

No further cases found.. well caught on the extra's Owen.

Passing QA
Comment 12 Jonathan Druart 2021-04-06 13:58:32 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 13 Fridolin Somers 2021-04-19 09:27:43 UTC
Enhancement not pushed to 20.11.x